## fcl 0.1.0

=== DESCRIPTION ===
Package: fcl
Title: A Financial Calculator
Version: 0.1.0
Authors@R: c(
    person("Xianying", "Tan", , "shrektan@126.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-6072-3521")),
    person("Raymon", "Mina", , "raymonmina@gmail.com", role = c("ctb"),
           comment = c("find_root.rs, xirr.rs")),
    person(given = "The authors of the dependency Rust crates",
           role = c("ctb"),
           comment = "see inst/AUTHORS file for details")
    )
Maintainer: Xianying Tan <shrektan@126.com>
Description: A financial calculator that provides very fast implementations
    of common financial indicators using 'Rust' code. It includes functions for
    bond-related indicators, such as yield to maturity ('YTM'), modified duration,
    and Macaulay duration, as well as functions for calculating time-weighted
    and money-weighted rates of return (using 'Modified Dietz' method) for multiple portfolios,
    given their market values and profit and loss ('PnL') data. 'fcl' is designed
    to be efficient and accurate for financial analysis and computation. The methods
    used in this package are based on the following references:
    <https://en.wikipedia.org/wiki/Modified_Dietz_method>,
    <https://en.wikipedia.org/wiki/Time-weighted_return>.
URL: https://github.com/shrektan/fcl, https://shrektan.github.io/fcl/
BugReports: https://github.com/shrektan/fcl/issues
SystemRequirements: Cargo (Rust's package manager), rustc
Biarch: true
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.3
Suggests: testthat (>= 3.0.0)
Imports: xts, ymd
Config/testthat/edition: 3
Config/rextendr/version: 0.3.1
NeedsCompilation: yes
Packaged: 2023-10-13 14:46:06 UTC; shrektan
Author: Xianying Tan [aut, cre] (<https://orcid.org/0000-0002-6072-3521>),
  Raymon Mina [ctb] (find_root.rs, xirr.rs),
  The authors of the dependency Rust crates [ctb] (see inst/AUTHORS file
    for details)
Repository: CRAN
Date/Publication: 2023-10-13 15:40:02 UTC
