## fcl 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: fcl
 Title: A Financial Calculator
-Version: 0.1.1
+Version: 0.1.2
 Authors@R: c(
     person("Xianying", "Tan", , "shrektan@126.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-6072-3521")),
@@ -33,10 +33,10 @@
 Config/testthat/edition: 3
 Config/rextendr/version: 0.3.1
 NeedsCompilation: yes
-Packaged: 2024-08-18 09:31:32 UTC; shrektan
+Packaged: 2024-08-23 15:34:07 UTC; shrektan
 Author: Xianying Tan [aut, cre] (<https://orcid.org/0000-0002-6072-3521>),
   Raymon Mina [ctb] (find_root.rs, xirr.rs),
   The authors of the dependency Rust crates [ctb] (see inst/AUTHORS file
     for details)
 Repository: CRAN
-Date/Publication: 2024-08-23 09:40:02 UTC
+Date/Publication: 2024-08-23 16:20:05 UTC
