## fcl 0.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: fcl
 Title: A Financial Calculator
-Version: 0.1.3
+Version: 0.1.4
 Authors@R: c(
     person("Xianying", "Tan", , "shrektan@126.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-6072-3521")),
@@ -31,12 +31,13 @@
 Suggests: testthat (>= 3.0.0)
 Imports: xts, ymd
 Config/testthat/edition: 3
-Config/rextendr/version: 0.3.1
+Config/rextendr/version: 0.3.1.9001
+Depends: R (>= 4.2)
 NeedsCompilation: yes
-Packaged: 2024-11-26 15:31:35 UTC; shrektan
+Packaged: 2025-04-15 08:10:12 UTC; shrektan
 Author: Xianying Tan [aut, cre] (<https://orcid.org/0000-0002-6072-3521>),
   Raymon Mina [ctb] (find_root.rs, xirr.rs),
   The authors of the dependency Rust crates [ctb] (see inst/AUTHORS file
     for details)
 Repository: CRAN
-Date/Publication: 2024-11-26 23:20:02 UTC
+Date/Publication: 2025-04-15 08:20:02 UTC
