=== debian/changelog ===
fcl (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #722268)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 28 Mar 2014 02:05:38 +0100
