## fcl 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,22 +65,21 @@
 if (FLANN_FOUND)
   set(FCL_HAVE_FLANN 1)
   include_directories(${FLANN_INCLUDE_DIRS})
-  link_directories(${FLANN_LIBRARY_DIRS})
   message(STATUS "FCL uses Flann")
 else()
   message(STATUS "FCL does not use Flann")
 endif()
 
 
-find_package(tinyxml QUIET)
-if (TINYXML_FOUND)
-  set(FCL_HAVE_TINYXML 1)
-  include_directories(${TINYXML_INCLUDE_DIRS})
-  link_directories(${TINYXML_LIBRARY_DIRS})
-  message(STATUS "FCL uses tinyxml")
-else()
-  message(STATUS "FCL does not use tinyxml")
-endif()
+# find_package(tinyxml QUIET)
+# if (TINYXML_FOUND)
+#   set(FCL_HAVE_TINYXML 1)
+#   include_directories(${TINYXML_INCLUDE_DIRS})
+#   link_directories(${TINYXML_LIBRARY_DIRS})
+#   message(STATUS "FCL uses tinyxml")
+# else()
+#   message(STATUS "FCL does not use tinyxml")
+# endif()
 
 
 find_package(Boost COMPONENTS thread date_time filesystem system unit_test_framework REQUIRED)
