=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: fcl
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: science
-Priority: extra
+Priority: optional
+Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9), 
                cmake,
                pkg-config,
@@ -62,6 +63,7 @@
 Package: libfcl0-dbg
 Architecture: any
 Section: debug
+Priority: extra
 Depends: libfcl0 (= ${binary:Version}),
          ${misc:Depends}
 Description: Flexible Collision Library - debug files
