=== debian/changelog ===
fcl (0.5.0-5) unstable; urgency=medium
  
  * Drop FCL_HAVE_SSE activation. Upstream clarifies in its 
    CMakeLists: #always disable, for now.
    It justs add -native as parameter to the compiler making it
    not generic. So it's better to disable.
    Closes: #840165
  * Update Source field
  * Added DEB_BUILD_MAINT_OPTIONS activating hardening+bindnow

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Mon, 17 Oct 2016 09:04:41 +0200

fcl (0.5.0-4) unstable; urgency=medium

  * Team upload.
  * Enable octomap support on armel and armhf again.

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 14 Sep 2016 10:56:37 +0200

fcl (0.5.0-3) unstable; urgency=medium

  * Team upload
  * Disable octomap where not available (Closes: #836448).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Sep 2016 08:30:12 +0200

fcl (0.5.0-2) unstable; urgency=medium

  [ Anton Gladky ]
  * Do not override binary strip.

  [ Jose Luis Rivero ]
  * Disable geometric shapes patch until upstream fix it for all arches
    (Closes: #834561)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 25 Aug 2016 18:15:59 +0000

fcl (0.5.0-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Update copyright file
  * Imported Upstream version 0.5.0
  * Migrate debian files to new 0.5 library

  [ Anton Gladky ]
  * Remove dbg-binary.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 21 Jul 2016 16:35:25 +0000

fcl (0.4.0-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Imported Upstream version 0.4.0
  * Enable testing
  * GNUInstallPaths for libraries
  * Update patches
  * Update packages to 0.4 SOVERSION

  [ Anton Gladky ]
  * Apply "cme fix dpkg"

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 10 Feb 2016 00:23:36 +0000
