=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
SSE_ENABLED = "FALSE"

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

.PHONY: override_dh_auto_configure     \
        override_dh_auto_test


override_dh_auto_configure:
	dh_auto_configure --  \
	    -DCMAKE_INSTALL_PREFIX:PATH=/usr \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
	    -DFCL_WITH_OCTOMAP=True \
	    -DFCL_BUILD_TESTS=True \
	    -DFCL_USE_SSE="${SSE_ENABLED}"

override_dh_auto_test:
	dh_auto_test -- ARGS=-VV

%:
	dh $@ --parallel --buildsystem=cmake
